# Annotation Interface Label

@Target({TYPE,FIELD,METHOD}) @Retention(RUNTIME) public @interface Label
Annotation that sets a human-readable name for an element (for example, `"Maximum Throughput"`).

Use headline-style capitalization, capitalize the first and last words, and all nouns, pronouns, adjectives, verbs and adverbs. Do not include ending punctuation.

The label should not be used as an identifier, see `Name`.

Since:
  9

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String`
  `value`
  Returns a human-readable name for the annotated element.

- ## Element Details

  - ### value

    String value
    Returns a human-readable name for the annotated element.
    Returns:
      a human-readable name, not `null`